Bug 213533 - Give qdiskd basic internal heuristics which are used if no admin-defined heuristics are present
Give qdiskd basic internal heuristics which are used if no admin-defined heur...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 16:14 EST by Lon Hohberger
Modified: 2009-04-16 18:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0134
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 17:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2006-11-01 16:14:23 EST
Description of problem:

qdiskd doesn't operate correctly if no heuristics are defined.  The proposal is
to give qdiskd operational guarantees even if no heuristics are defined.  I am
looking for simple things here - just to guarantee behavior in network partitions.

examples:

(a) current qdisk master always wins

(b) High/low node ID always wins

(c) if a node ever finds another node which "sees" more nodes than it does, then
it relinquishes master status and then becomes the minority (and will be fenced)
Comment 1 Lon Hohberger 2007-01-22 17:53:04 EST
Fixes in CVS; RHEL4 / RHEL5 / head branches.
Comment 2 Kiersten (Kerri) Anderson 2007-04-23 12:53:27 EDT
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.
Comment 4 RHEL Product and Program Management 2007-05-01 12:25:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 RHEL Product and Program Management 2007-05-01 12:25:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Red Hat Bugzilla 2007-05-10 17:04:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0134.html

Note You need to log in before you can comment on or make changes to this bug.